BAREOS-FD(8)

NAME
bareos-fd - Bareos's File Daemon

SYNOPSIS
bareos-fd [options]

DESCRIPTION
This manual page documents briefly the bareos command.
Bareos's File Daemon acts as the interface between the Bareos network backup system and the filesystems to be backed up: it is responsible for reading/writing/verifying the files to be backup'd/verified/restored. Network transfer can optionally be compressed.

OPTIONS

-b,--backup-only
    Enable backup only mode

-c,--config path
    Specify the configuration file or directory to use.

-d,--debug-level nn
    Set debug level to nn.

--dt,--debug-timestamps
    Print timestamp in debug output.

-f,--foreground
    Run in foreground (for debugging).

-g,--group group
    Set the group/gid to run as.

-k,keep-readall
    Keep readall permission when dropping privileges.

-m,--print-kaboom
    Print kaboom output (for debugging)

-p,--pid-file file
    Specify the full path to the pidfile.

-r,--restore-only
    Enable restore only mode

-s,--no-signals
    No signals (for debugging).

-t,--test-config
    Test the configuration file and report errors.

-u,--user user
    Set the username/uid to run as.

-v,--verbose
    Set verbose mode.

--xc,--export-config
    Print configuration and exit.

--xs,--export-schema
    Print configuration schema in JSON format and exit.

-h,--help,-?
    Show version and usage of program.

SEE ALSO
bareos-dir(8), bareos-sd(8).

AUTHOR
This manual page was written by Jose Luis Tallon <jltallon@adv-solutions.net>.